using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ChangementCouleurPerso : MonoBehaviour
{
    public Material[] matPlayer;
    Renderer rend;

    public float changementCouleurSaut = -1.0f;
    bool newCouleurSaut = false;

    public float changementCouleurFusee = -1.0f;
    bool newCouleurFusee = false;

    public int numChoixPerso;

    void Start()
    {
        rend = GetComponent<Renderer>();
        rend.enabled = true;
        rend.sharedMaterial = matPlayer[numChoixPerso];
    }

    public void ChoixPerso1()
    {
        numChoixPerso = 0;
        rend.sharedMaterial = matPlayer[0];
    }

    public void ChoixPerso2()
    {
        numChoixPerso = 1;
        rend.sharedMaterial = matPlayer[1];
    }

    public void ChoixPerso3()
    {
        numChoixPerso = 2;
        rend.sharedMaterial = matPlayer[2];
    }

    void Update()
    {
        if (changementCouleurSaut > 0.0f && newCouleurSaut)
        {
            changementCouleurSaut -= Time.deltaTime;
            rend.sharedMaterial = matPlayer[3];

            if (changementCouleurSaut <= 0.0f)
            {
                newCouleurSaut = false;
                rend.sharedMaterial = matPlayer[numChoixPerso];
            }
        }

        if (changementCouleurFusee > 0.0f && newCouleurFusee)
        {
            changementCouleurFusee -= Time.deltaTime;
            rend.sharedMaterial = matPlayer[4];

            if (changementCouleurFusee <= 0.0f)
            {
                newCouleurFusee = false;
                rend.sharedMaterial = matPlayer[numChoixPerso];
            }
        }
    }

    void OnTriggerEnter(Collider col)
    {
        Rigidbody rbPlayer = col.gameObject.GetComponent<Rigidbody>();
        {
            if (col.gameObject.tag == "BonusSaut")
            {
                changementCouleurSaut = 1.7f;
                newCouleurSaut = true;
            }
        }

        {
            if (col.gameObject.tag == "BonusFusee")
            {
                changementCouleurFusee = 2.5f;
                newCouleurFusee = true;
            }
        }

    }
}

